import { Oracle, Participant } from './types';
import Convict from 'convict';
import SDKStandardComponents from '@mojaloop/sdk-standard-components';
export interface LooseGlobalConfig {
    currency?: SDKStandardComponents.TCurrency;
    currencies: Array<SDKStandardComponents.TCurrency>;
    urls: {
        fspiop: string | null;
        alsEndpoint: string | null;
        alsAdmin: string;
        centralLedgerAdmin: string;
    };
    applicationUrls: {
        oracle: string;
    };
    oracles?: Array<Oracle>;
    participants: Array<Participant>;
}
export interface GlobalConfig {
    currencies: Array<SDKStandardComponents.TCurrency>;
    urls: {
        fspiop: string | null;
        alsEndpoint: string | null;
        alsAdmin: string;
        centralLedgerAdmin: string;
    };
    applicationUrls: {
        oracle: string;
    };
    oracles: Array<Oracle>;
    participants: Array<Participant>;
}
export declare const ConvictConfig: Convict.Config<LooseGlobalConfig>;
export declare function loadFromFile(filePath: string): GlobalConfig;
export declare function formatAndValidateConfig(resolvedConfig: LooseGlobalConfig): GlobalConfig;
