"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapWithRunResult = void 0;
const runResult_1 = require("./runResult");
/**
 * @function wrapWithRunResult
 * @description A simple wrapper around an anonymous function
 *  if the function throws an error, the wrapper will return a FailureResult
 * @param func
 */
function wrapWithRunResult(func) {
    return async () => {
        try {
            await func();
            return runResult_1.Result.Success();
        }
        catch (err) {
            return runResult_1.Result.Failure([err]);
        }
    };
}
exports.wrapWithRunResult = wrapWithRunResult;
//# sourceMappingURL=utils.js.map